# Written by Phil Frost <indigo@bitglue.com>. Public Domain. If you like this
# software please consider giving money to Unununium <http://unununium.org/>.

'null imput. A good place to start if implementing a new input module.'

import sys
import os

def print_help():
    '''Print usage help.'''
    print 'usage: %s [...] -i null -o [...]' % os.path.basename(sys.argv[0])


def parse_options(args):
    '''Parse command line options to the output module.

    What this returns will later be passed to get_nodes.
    '''
    if args:
        print >> sys.stderr, 'error: null input module takes no arguments'
        sys.exit(1)


def get_nodes(options):
    '''Return a list of nodes to graph.

    `options` is the result of calling parse_options earlier.
    '''
    return []
