#!/usr/bin/python

from distutils.core import setup

setup(
    name="RCSgraph",
    version='1.1.7',
    description="graphing of revision control systems",
    author="Phil Frost",
    author_email="indigo@bitglue.com",
    url="http://unununium.org/~indigo/rcsgraph/",
    packages=['rcsgraph','rcsgraph.input','rcsgraph.output'],
    scripts=['scripts/rcsgraph'],
    long_description='''RCSgraph is command line and coresponding Python package to graph revision
history and merges of a revision control system. Currently only imput by tla
and output by graphviz is implemented, but the design allows for additional
modules to be easilly added.''')
